/*
Theme Name: Hard Fuel Meals local theme extended from kadence
Template: kadence
Author: Aram Tadevosyan
Author URI: http://example.com
Description: This is a HFM main them
Version: 1.1
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
*/

/**
WooCommerce styles override
 */

html {
    line-height: 1 !important;
    font-size: 62.5% !important;
}

body {
    background: black;
    margin: 0;
    font-family: 'Open Sans', sans-serif;
    font-size: 1.6rem;
    color: #000;
    line-height: 1.43;
    -webkit-font-smoothing: antialiased;
    -webkit-text-size-adjust: 100%;
}


.hfm-main.woocommerce div.product .woocommerce-tabs ul.tabs::before {
    border-bottom: none;
}

.hfm-main.woocommerce div.product .woocommerce-tabs ul.tabs li.active {
    border: none;
}

.hfm-main.woocommerce div.product .woocommerce-tabs ul.tabs li a,
.hfm-main.woocommerce div.product .woocommerce-tabs ul.tabs,
.hfm-main.woocommerce div.product .woocommerce-tabs ul.tabs li {
    padding-left: 0;
    margin-left: 0
}

.hfm-main.woocommerce #primary div.product form.cart {
    margin-bottom: 1em;
}


.hfm-main.woocommerce woocommerce-Price-amount amount {
    border: 1px solid #000;
    border-radius: 7px;
    padding: 0.2em;
}


.hfm-main.woocommerce h1 {
    font-size: 2.9em;
    font-family: 'Montserrat', sans-serif;
    color: black;
    font-weight: 300;
    text-transform: uppercase;
}

.hfm-main.woocommerce h2 {
    font-size: 1.9em;
    font-family: 'Montserrat', sans-serif;
    font-weight: 300;
    text-transform: uppercase;
    margin-bottom: 1rem;
}

.hfm-main.woocommerce h3 {
    font-size: 1.25em;
    font-family: 'Montserrat', sans-serif;
    font-weight: 300;
    text-transform: uppercase;
}

.hfm-main.woocommerce h1, .hfm-main.woocommerce h2, .hfm-main.woocommerce h3, .hfm-main.woocommerce h4 {
    margin: 0;
    line-height: 1.2;
}

.hfm-main.woocommerce .page-title.archive-title {
    color: white;
    font-size: 2.6em;
}


.hfm-main .wp-block-woocommerce-cart.alignwide {
    padding: 0 1em;
}


@media screen and (max-width: 680px) {
    .hfm-main .wc-block-components-radio-control__option-layout {
        margin-left: 1em;
    }

    .hfm-main .content-area {
        margin: 1rem;
    }

    .wc-block-components-radio-control__option {
        margin-right: 3rem !important;
    }


    .hfm-main .wp-block-woocommerce-checkout {
        padding: 0 10px !important;
    }
}


@media screen and (max-width: 1024px) {
    .hfm-main.woocommerce .woocommerce-tabs.wc-tabs-wrapper {
        width: auto;
        margin: 2em;
    }
}

@media screen and (min-width: 1025px) {
    /*.hfm-main.woocommerce .entry.content-bg {*/
    /*    margin: 4em 22em;*/
    /*}*/
    .hfm-main.woocommerce .woocommerce-tabs.wc-tabs-wrapper {
        float: right;
        width: 48%;
        clear: none;
    }

    .hfm-main .wc-block-checkout__pickup-options .wc-block-components-checkout-step__container {
        max-height: 20em;
        overflow: scroll;
        margin-bottom: 2em;
        margin-top: 2em;
    }

    .wc-block-components-shipping-rates-control {
        max-height: 15em;
        overflow: scroll;
    }
}

#mobile-header {
    margin: 0em 1em;
}


/**
Categories list (home page)
 */
.woocommerce ul.products li.product.hfm-categories a img {
    width: 60%;
    margin: auto;
}

.woocommerce ul.products li.product.hfm-categories a div.entry-content-wrap {
    border: 1px solid #f04d34;
    font-size: 2rem;
    border-radius: 50px;
    margin: 1em auto;
    width: fit-content;
    padding: 0.1em 2em;
}

.woocommerce ul.products li.product.hfm-categories a div.entry-content-wrap h2 {
    color: #f04d34;
}

.hfm-hero-container,
.hfm-hero-container h1,
.hfm-hero-container h2,
.hfm-hero-container h3,
.hfm-hero-container h4,
.hfm-hero-container h5,
.hero-container,
.hero-container h1,
.hero-container h2,
.hero-container h3,
.hero-container h4,
.hero-container h5 {
    color: white;
}

.hfm-main .hero-container .single-category,
.hfm-main .hero-container h1 {
    font-family: Montserrat, sans-serif;
    font-weight: 300;
    font-size: 5rem;
    color: white;
}

.hfm-main .entry-hero.page-hero-section .entry-header,
.hfm-main .entry-hero.product-hero-section .entry-header,
.hfm-main .entry-hero.product-archive-hero-section .entry-header {
    min-height: 10rem;
}

/**
pickup locations informative block styling
 */

.pickup-locations-view {
    font-family: "Open Sans", sans-serif;
}

.pl-name {
    font-weight: 700;
}

.pl-address {
    font-size: 0.94em;
    margin-top: 1em;
    max-width: 70%;
}

.pl-dow {
    font-size: 0.94em;
    margin-top: 1em;
    text-transform: capitalize;
}

.hfm-main a.social-button {
    height: auto;
}

.wc-block-components-totals-shipping .wc-block-components-shipping-address {
    color: green;
    font-weight: 600;
}

/**
remove br from address block in order details page
 */
.order_details_pickup_block br {
    display: none;
}

.hfm-main.woocommerce div.product .woocommerce-Tabs-panel--description.panel {
    margin-right: 5rem;
}

.custom-ingredients-selector-container {
    padding: 20px 20px 20px 0; /* Adjust the overall padding of the container */
    display: flex;
    flex-direction: column;
    gap: 20px; /* Space between each row */
}

.custom-ingredients-selector-container > div {
    display: flex;
    align-items: center;
    gap: 10px; /* Space between label and select box */
}

.custom-ingredients-selector-container label {
    white-space: nowrap;
    font-weight: 700;
}

.custom-ingredients-selector-container select {
    padding: 10px;
    border: 1px solid #ccc; /* Standard border, can be adjusted */
    border-radius: 4px; /* Rounded corners for the select boxes */
}

/* Optional: Adjust the font size for better readability */
.custom-ingredients-selector-container select,
.custom-ingredients-selector-container label {
    font-size: 16px; /* Adjust based on your preference */
}

.custom-ingredients-selector-container select {
    max-width: 80%;
}

.woocommerce div.product div.summary .custom-product-order-submitter p.price {
    float: left;
    margin: 0 10px 0 0;
}

.cm_ingredient span.type {
    margin-right: 1em;
    font-weight: 900;
}

.cm_ingredient span.price {
    margin-left: 0.3em;
    font-weight: 900;
}

.admin-order-custom-ingredients {
    margin-top: 2em;
}

.admin-order-custom-ingredients td {
    padding-left: 0 !important;
}

.wc-block-components-totals-fees__late-fee .wc-block-components-totals-item__description {
    color: red;
}


.hfm-main .fifty-percent {
    width: 50%;
    float: left;
}

.hfm-main .wc-order-preview .wc-order-preview-addresses .wc-order-preview-address {
    width: 100%;
}

.wc-block-checkout__order-notes {
    display: none !important;
}


/*
Home page Hero part
*/
.hro {
    margin-top: 4em;
    margin-bottom: 4em;
}

.hro h1, .hro h2, .hro h3, .hro h4, .hro h5, .hro .you-cant {
    font-family: Montserrat, sans-serif;
}

.hro h1 {
    font-size: 3em;
    font-weight: 300;
}

.hro .you-cant {
    font-size: 1.5em;
    font-weight: 200;
}

.is-rounded-30 {
    border-radius: 30px;
}

.is-btn-ghost2 {
    color: #000;
    border: 2px solid #d7d7d7;
    background-color: #d7d7d7;
}

.is-btn {
    font-size: 1.3em;
    margin: 1em;
    padding: 0.3em 1em;
    border-radius: 30px;
    display: inline-block;
    margin-bottom: 0;
    font-weight: normal;
    text-align: center;
    text-decoration: none;
    vertical-align: middle;
    cursor: pointer;
    background-image: none;
    border: 1px solid transparent;
    transition: all 0.16s ease;
}
/*
END hero part
 */